function IS = imscale( I , sx , sy )
% I: immagine
% sx sy scala
% IS produce un immagine scalata di sx e sy rispetto all'immagine I
    [ ydim , xdim , zdim ] = size( I );
    nxdim = floor( xdim * sx );
    nydim = floor( ydim * sy );
    
    % build meshes
    xv = [1:xdim];
    yv = [1:ydim];
    [ xmesh , ymesh ] = meshgrid( xv , yv );
    
    xv = [1:nxdim]/sx;
    yv = [1:nydim]/sy;
    [ nxmesh , nymesh ] = meshgrid( xv , yv );
    
    % interpola
    for z = 1:zdim
        IS(:,:,z) = interp2( xmesh , ymesh , I(:,:,z) , nxmesh , nymesh , 'nearest');
    end
end
    
    
    
    